Bug 830523 - I tried hitting 'tab' to autocomplete my yum install command.
I tried hitting 'tab' to autocomplete my yum install command.
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
17
i686 Linux
unspecified Severity low
: ---
: ---
Assigned To: Fedora Packaging Toolset Team
Fedora Extras Quality Assurance
:
: 831043 832756 832841 835583 835615 835638 835690 835754 835871 835888 858860 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-10 06:47 EDT by kitchi.srikrishna
Modified: 2014-01-21 18:22 EST (History)
15 users (show)

See Also:
Fixed In Version: yum-3.4.3-102.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-21 20:36:13 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Smolt profile + other abrt collected information attached. (4.41 KB, application/octet-stream)
2012-06-10 06:47 EDT, kitchi.srikrishna
no flags Details

  None (edit)
Description kitchi.srikrishna 2012-06-10 06:47:13 EDT
Created attachment 590718 [details]
Smolt profile + other abrt collected information attached.

Description of problem:
I tried hitting 'tab' to autocomplete my yum install command, and this error popped up.

Version-Release number of selected component (if applicable):


How reproducible:
Everytime.

Steps to Reproduce:
1. Open a terminal and type out 'sudo yum install k'
2. Hit tab to complete.
3.
  
Actual results:
This error pops up.

Expected results:
That the field should autocomplete or show suggestions.

Additional info:
The file that it cannot access "yumRepo.py:614:_dirSetupMkdir_p:RepoError: Cannot access repository dir /var/tmp/yum-krishna-HeA4lf/i386/17/fedora" does not exist in my computer. The folder yum-krishna-HeA4lf is completely empty.
I am running a virtualized LXDE F17 i686.
Comment 1 Zdeněk Pavlas 2012-06-11 04:58:39 EDT
Thanks for the report, I'll fix it soon.  As a workaround, just run "yum makecache" as a user.  That should make Tab-completion work.
Comment 2 Zdeněk Pavlas 2012-06-12 02:47:28 EDT
*** Bug 831043 has been marked as a duplicate of this bug. ***
Comment 3 Zdeněk Pavlas 2012-06-18 05:21:54 EDT
*** Bug 832841 has been marked as a duplicate of this bug. ***
Comment 4 Zdeněk Pavlas 2012-06-18 05:22:48 EDT
*** Bug 832756 has been marked as a duplicate of this bug. ***
Comment 5 Fedora Update System 2012-06-25 04:31:21 EDT
yum-3.4.3-28.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/yum-3.4.3-28.fc17
Comment 6 Zdeněk Pavlas 2012-06-26 10:28:26 EDT
*** Bug 835583 has been marked as a duplicate of this bug. ***
Comment 7 Zdeněk Pavlas 2012-06-27 03:48:03 EDT
*** Bug 835754 has been marked as a duplicate of this bug. ***
Comment 8 Zdeněk Pavlas 2012-06-27 03:58:30 EDT
*** Bug 835690 has been marked as a duplicate of this bug. ***
Comment 9 Zdeněk Pavlas 2012-06-27 04:03:34 EDT
*** Bug 835638 has been marked as a duplicate of this bug. ***
Comment 10 Zdeněk Pavlas 2012-06-27 04:04:11 EDT
*** Bug 835615 has been marked as a duplicate of this bug. ***
Comment 11 Zdeněk Pavlas 2012-06-27 07:56:53 EDT
*** Bug 835871 has been marked as a duplicate of this bug. ***
Comment 12 Zdeněk Pavlas 2012-06-27 09:54:56 EDT
*** Bug 835888 has been marked as a duplicate of this bug. ***
Comment 13 Fedora Update System 2012-06-27 23:40:56 EDT
yum-3.4.3-28.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Zdeněk Pavlas 2012-09-21 07:41:00 EDT
*** Bug 858860 has been marked as a duplicate of this bug. ***
Comment 15 Fedora End Of Life 2013-07-04 03:03:53 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 16 Fedora Update System 2013-07-18 10:09:33 EDT
yum-3.4.3-102.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/yum-3.4.3-102.fc19
Comment 17 Fedora Update System 2013-07-20 05:37:39 EDT
Package yum-3.4.3-102.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing yum-3.4.3-102.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-13246/yum-3.4.3-102.fc19
then log in and leave karma (feedback).
Comment 18 Fedora Update System 2013-07-21 20:36:13 EDT
yum-3.4.3-102.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.